NX Open C++ Reference Guide
|
Represents a @link SketchPolygon SketchPolygon@endlink builder <br> To create a new instance of this class, use @link SketchCollection::CreateSketchPolygonBuilder SketchCollection::CreateSketchPolygonBuilder @endlink <br>
Default values. More...
Public Types | |
enum | SizeType { SizeTypeInscribedRadius, SizeTypeCircumscribedRadius, SizeTypeSideLength } |
Polygon type. More... | |
Public Member Functions | |
NXOpen::Point * | CenterPoint () |
Returns the center point Created in NX7.5.0. | |
void | CreateAngleDimension (bool createDim) |
The flag to indicate if we need to create angle dimension Created in NX7.5.0. | |
void | CreateLengthDimension (bool createDim) |
The flag to indicate if we need to create length dimension Created in NX7.5.0. | |
void | CreateRadiusDimension (bool createDim) |
The flag to indicate if we need to create radius dimension Created in NX7.5.0. | |
NXOpen::Expression * | LengthDimension () |
Returns the length dimension. | |
int | NumberOfSides () |
Returns the number of sides Created in NX7.5.0. | |
NXOpen::Expression * | RadiusDimension () |
Returns the radius dimension. | |
NXOpen::Expression * | RotationDimension () |
Returns the angular dimension Created in NX7.5.0. | |
void | SetCenterPoint (NXOpen::Point *centerPoint) |
Sets the center point Created in NX7.5.0. | |
void | SetNumberOfSides (int numberOfSides) |
Sets the number of sides Created in NX7.5.0. | |
void | SetSize (NXOpen::SketchPolygonBuilder::SizeType size) |
Sets the size type Created in NX7.5.0. | |
void | SetSizePoint (NXOpen::Point *sizePoint) |
Sets the size point Created in NX7.5.0. | |
NXOpen::SketchPolygonBuilder::SizeType | Size () |
Returns the size type Created in NX7.5.0. | |
NXOpen::Point * | SizePoint () |
Returns the size point Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link SketchPolygon SketchPolygon@endlink builder <br> To create a new instance of this class, use @link SketchCollection::CreateSketchPolygonBuilder SketchCollection::CreateSketchPolygonBuilder @endlink <br>
Default values.
Property | Value |
---|---|
LengthDimension.Value |
100 (millimeters part), 3.937 (inches part) |
NumberOfSides |
6 |
RadiusDimension.Value |
100 (millimeters part), 3.937 (inches part) |
RotationDimension.Value |
0 |
Size |
InscribedRadius |
Created in NX7.5.0.
NXOpen::Point* NXOpen::SketchPolygonBuilder::CenterPoint | ( | ) |
Returns the center point
Created in NX7.5.0.
License requirements : None
void NXOpen::SketchPolygonBuilder::CreateAngleDimension | ( | bool | createDim | ) |
The flag to indicate if we need to create angle dimension
Created in NX7.5.0.
License requirements : None
createDim | true, to create the angle dimension |
void NXOpen::SketchPolygonBuilder::CreateLengthDimension | ( | bool | createDim | ) |
The flag to indicate if we need to create length dimension
Created in NX7.5.0.
License requirements : None
createDim | true, to create the length dimension |
void NXOpen::SketchPolygonBuilder::CreateRadiusDimension | ( | bool | createDim | ) |
The flag to indicate if we need to create radius dimension
Created in NX7.5.0.
License requirements : None
createDim | true, to create the radius dimension |
NXOpen::Expression* NXOpen::SketchPolygonBuilder::LengthDimension | ( | ) |
Returns the length dimension.
This value is only used if SketchPolygonBuilder::Size is set to SketchPolygonBuilder::SizeTypeSideLength
Created in NX7.5.0.
License requirements : None
int NXOpen::SketchPolygonBuilder::NumberOfSides | ( | ) |
Returns the number of sides
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::SketchPolygonBuilder::RadiusDimension | ( | ) |
Returns the radius dimension.
This value is only used if SketchPolygonBuilder::Size is set to SketchPolygonBuilder::SizeTypeInscribedRadius or SketchPolygonBuilder::SizeTypeCircumscribedRadius
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::SketchPolygonBuilder::RotationDimension | ( | ) |
Returns the angular dimension
Created in NX7.5.0.
License requirements : None
void NXOpen::SketchPolygonBuilder::SetCenterPoint | ( | NXOpen::Point * | centerPoint | ) |
Sets the center point
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
centerPoint | centerpoint |
void NXOpen::SketchPolygonBuilder::SetNumberOfSides | ( | int | numberOfSides | ) |
Sets the number of sides
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
numberOfSides | numberofsides |
void NXOpen::SketchPolygonBuilder::SetSize | ( | NXOpen::SketchPolygonBuilder::SizeType | size | ) |
Sets the size type
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
size | size |
void NXOpen::SketchPolygonBuilder::SetSizePoint | ( | NXOpen::Point * | sizePoint | ) |
Sets the size point
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sizePoint | sizepoint |
NXOpen::SketchPolygonBuilder::SizeType NXOpen::SketchPolygonBuilder::Size | ( | ) |
Returns the size type
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::SketchPolygonBuilder::SizePoint | ( | ) |
Returns the size point
Created in NX7.5.0.
License requirements : None